# This is just an example to get you started. You may wish to put all of your
# tests into a single file, or separate them into multiple `test1`, `test2`
# etc. files (better names are recommended, just make sure the name starts with
# the letter 't').
#
# To run these tests, simply execute `nimble test`.

import src/renamer

let animeTestStr = "[BLA] Test anime 02 [590p].mkv"
let movieTestStr = "Gotta.go.fast.2043.[2048p].mp4"
assert isSubber(animeTestStr) == true
assert isAnime(animeTestStr) == true
assert findEP(animeTestStr) == "02"
assert findSubber(animeTestStr) == "[BLA]"
assert findYear(movieTestStr) == "2043"
assert findExt(movieTestStr) == ".mp4"
assert findAnime(animeTestStr, "") == "Test anime S01E02.mkv"
assert findAnime(animeTestStr, "03") == "Test anime S03E02.mkv"
assert isDir("/test") == true
assert normalize("/test/") == "/test"
